#!/bin/sh

sybase_service() {
	/etc/init.d/sybase "$1"
}

perform_backup() {
	zip -r BBDD_"$(date +"%d%m%Y")".zip /opt/sybase
	scp -i /root/.ssh/unit BBDD_"$(date +"%d%m%Y")".zip coace@192.168.122.1:/vault/backups/databases/sica
}

cleanup() {
	rm BBDD_"$(date +"%d%m%Y")".zip
}

sybase_service stop
perform_backup
sybase_service start
cleanup
